{ config, lib, pkgs, ... }:

{
  # disable nftables since it breaks shit
  petabyte.nftables.enable = false;
  virtualisation.oci-containers.containers."ghost-waszumfff" = {
    autoStart = true;
    environment = {
      url = "https://waszumfff.4future.dev";
    };
    image = "ghost:alpine";
    ports = [ "127.0.0.1:2368:2368" ];
    volumes = [ "/run/florinori:/var/lib/ghost/content" ];
  };

  fileSystems."/run/florinori" =
    { device = "dpool/k8s/florinori";
      fsType = "zfs";
    };

  services.nginx.virtualHosts."waszumfff.4future.dev" = {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:2368";
      extraConfig = "
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Host $http_host;
      ";
    };
  };
}
